# hy-footer-link-item

<!-- Auto Generated Below -->

## Properties

| Property   | Attribute   | Description | Type                                                     | Default                     |
| ---------- | ----------- | ----------- | -------------------------------------------------------- | --------------------------- |
| `color`    | `color`     |             | `FooterLinkItemColor.black \| FooterLinkItemColor.white` | `FooterLinkItemColor.black` |
| `isMobile` | `is-mobile` |             | `boolean`                                                | `undefined`                 |
| `items`    | --          |             | `any[]`                                                  | `undefined`                 |
| `label`    | `label`     |             | `string`                                                 | `undefined`                 |
| `mainLink` | `main-link` |             | `boolean`                                                | `false`                     |
| `url`      | `url`       |             | `string`                                                 | `undefined`                 |
| `variant`  | `variant`   |             | `FooterLinkVariants`                                     | `FooterLinkVariants.base`   |

## Dependencies

### Used by

- [hy-footer-base](../hy-footer-base)
- [hy-footer-info](../hy-footer-info)

### Depends on

- [hy-icon](../../icon)
- [hy-heading](../../heading)

### Graph

```mermaid
graph TD;
  hy-footer-link-item --> hy-icon
  hy-footer-link-item --> hy-heading
  hy-heading --> hy-box
  hy-footer-base --> hy-footer-link-item
  hy-footer-info --> hy-footer-link-item
  style hy-footer-link-item fill:#f9f,stroke:#333,stroke-width:4px
```

---

Helsinki University Design System
