import {Component, h} from '@stencil/core';

@Component({
  tag: 'hy-footer',
  styleUrl: 'hy-footer.scss',
  shadow: false,
})
export class HyFooter {
  render() {
    const classAttributes = ['hy-footer'];

    return (
      <footer class={classAttributes.join(' ')}>
        <slot></slot>
      </footer>
    );
  }
}
