# hy-checkbox

<!-- Auto Generated Below -->

## Properties

| Property          | Attribute          | Description                                     | Type                                                  | Default                    |
| ----------------- | ------------------ | ----------------------------------------------- | ----------------------------------------------------- | -------------------------- |
| `checkboxChecked` | `checkbox-checked` | Checked attribute                               | `boolean`                                             | `false`                    |
| `checkboxId`      | `checkbox-id`      | Unique id for checkbox element                  | `number \| string`                                    | `undefined`                |
| `checkboxLabel`   | `checkbox-label`   | Label for input to describe                     | `string`                                              | `undefined`                |
| `checkboxValue`   | `checkbox-value`   | Value for input element                         | `number \| string`                                    | `undefined`                |
| `variant`         | `variant`          | Variant to deifne what style of checkbox to use | `CheckboxVariants.button \| CheckboxVariants.default` | `CheckboxVariants.default` |

## Dependencies

### Depends on

- [hy-icon](../icon)

### Graph

```mermaid
graph TD;
  hy-checkbox --> hy-icon
  style hy-checkbox fill:#f9f,stroke:#333,stroke-width:4px
```

---

Helsinki University Design System
